Subject: Re: Opensshd 2.3.0-1 weird exec problem
From: Jason Tishler <[email-masked]>
To: Corinna Vinschen <[email-masked]>
Date: Thu, 14 Dec 2000 11:51:31 -0500

Corinna,

On Thu, Dec 14, 2000 at 12:02:12AM +0100, Corinna Vinschen wrote:
> On Wednesday 13 December 2000 21:05, R. Andrew Bailey wrote:
> >>  I'm using Opensshd 2.3.0p1 with Cygwin 1.1.6 on a bunch of Win2k
> > machines. I
> > run sshd via srvany. I'm seeing a problem when executing remote
> > commands. Basically, I'll get output from the remote command about 1
> > in 5 times I run it. The timing appears fairly random, take some
> > command like,
> >
> >  ssh root@my_test_box uname -a
> 
> Weird. I'm using the same configuration (even W2KSP1) and I get
> an output always. Are you sure that this isn't related to native
> NT tools only, say `net' or similar?

I am seeing the same or similar behavior as Andrew.  However, whether or
not I get output is quite variable.  Note that I am starting sshd (i.e.,
in.sshd) from inetd.

In a run of ten "uname -a" commands, I can get only one output and then
get five.  I have also notice truncated output such as only getting the
first line from a "ls -1" command or no output at all.  We have also
tried the same tests against a non-Cygwin sshd and we always get the
expected output.

Is it possible that there is a race condition or timing issue such that
the Cygwin sshd closes the connection before the client has had a chance
to read all of the output?

See attached for my cygcheck output.

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com
--
Want to unsubscribe from this list?
Send a message to [email-masked]